Package org.eclipse.net4j.util.concurrent

## Class AsynchronousWorkSerializer

- java.lang.Object
- - org.eclipse.net4j.util.concurrent.AsynchronousWorkSerializer

- All Implemented Interfaces:
    `java.lang.Runnable`, `IExecutorServiceProvider`, `IWorkSerializer`

      @Deprecated
      public class AsynchronousWorkSerializer
      extends java.lang.Object
      implements IWorkSerializer, IExecutorServiceProvider, java.lang.Runnable

  Deprecated.
  As of 3.6 use `ExecutorWorkSerializer`.
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AsynchronousWorkSerializer​(java.util.concurrent.ExecutorService executorService)` | Deprecated.
    `AsynchronousWorkSerializer​(java.util.concurrent.ExecutorService executorService, java.util.Queue<java.lang.Runnable> workQueue)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `addWork​(java.lang.Runnable work)` | Deprecated.
    `void` | `dispose()` | Deprecated.
    `java.util.concurrent.ExecutorService` | `getExecutorService()` | Deprecated.
    `void` | `run()` | Deprecated. Executed in the context of the `executor service`.
    `java.lang.String` | `toString()` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AsynchronousWorkSerializer

          public AsynchronousWorkSerializer​(java.util.concurrent.ExecutorService executorService,
                                            java.util.Queue<java.lang.Runnable> workQueue)

      Deprecated.

    - #### AsynchronousWorkSerializer

          public AsynchronousWorkSerializer​(java.util.concurrent.ExecutorService executorService)

      Deprecated.

  - ### Method Detail

    - #### getExecutorService

          public java.util.concurrent.ExecutorService getExecutorService()

      Deprecated.
      Specified by:
        `getExecutorService` in interface `IExecutorServiceProvider`

    - #### addWork

          public boolean addWork​(java.lang.Runnable work)

      Deprecated.
      Specified by:
        `addWork` in interface `IWorkSerializer`

    - #### run

          public void run()

      Deprecated.
      Executed in the context of the `executor service`.

      Specified by:
        `run` in interface `java.lang.Runnable`

    - #### dispose

          public void dispose()

      Deprecated.
      Specified by:
        `dispose` in interface `IWorkSerializer`

    - #### toString

          public java.lang.String toString()

      Deprecated.
      Overrides:
        `toString` in class `java.lang.Object`